#ifndef _PREPDATA_H_
#define _PREPDATA_H_

enum  PSIMGFORMAT {PS_RGB,PS_RGBA,PS_GRAYSCALE} ;

#ifdef __cplusplus
extern "C" {
#endif

unsigned char *   BidPrepData(unsigned char *data,int xsize,int ysize,enum PSIMGFORMAT frmt);
int   BidDataSize(int xsize,int ysize,enum PSIMGFORMAT frmt);
void   BidFreeData(unsigned char *data);

#ifdef __cplusplus
}
#endif

#endif